Bug 248196 - snmpwalk does not read TCP scalars
snmpwalk does not read TCP scalars
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: net-snmp (Show other bugs)
4.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks: 248342
  Show dependency treegraph
 
Reported: 2007-07-13 16:52 EDT by Tarus Balog
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2007-0738
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:00:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tarus Balog 2007-07-13 16:52:14 EDT
$ rpm -q net-snmp
net-snmp-5.1.2-11.EL4.7

and I get:
snmpwalk -v1 -c public localhost  .1.3.6.1.2.1.6

TCP-MIB::tcpRtoAlgorithm.0 = INTEGER: other(1)
TCP-MIB::tcpRtoMin.0 = INTEGER: 200 milliseconds
TCP-MIB::tcpRtoMax.0 = INTEGER: 120000 milliseconds
TCP-MIB::tcpMaxConn.0 = INTEGER: -1
TCP-MIB::tcpActiveOpens.0 = Counter32: 3261918
TCP-MIB::tcpPassiveOpens.0 = Counter32: 621191
TCP-MIB::tcpAttemptFails.0 = Counter32: 2433
TCP-MIB::tcpEstabResets.0 = Counter32: 480959
TCP-MIB::tcpCurrEstab.0 = Gauge32: 25
TCP-MIB::tcpInSegs.0 = Counter32: 112145954
TCP-MIB::tcpOutSegs.0 = Counter32: 114675625
TCP-MIB::tcpRetransSegs.0 = Counter32: 93175

Now I upgrade:

$ rpm -q net-snmp
net-snmp-5.1.2-11.EL4.10

and I only  get

TCP-MIB::tcpInErrs.0 = Counter32: 0
TCP-MIB::tcpOutRsts.0 = Counter32: 2049678

Note: I've removed the tcpConn table stuff.

This is on a 32-bit system, if that matters
Comment 1 Jan Safranek 2007-07-16 05:29:12 EDT
It seems to me that net-snmp-5.1.2-11.EL4.10 got some fixes from upstream
breaking the OID comparsions, causing the 'getnext' requests to skip some TCP
scalars. I have patch prepared. In the meantime, you can use snmpget to get the
values you need:

snmpget -v1 -c public localhost  TCP-MIB::tcpRtoAlgorithm.0
TCP-MIB::tcpRtoAlgorithm.0 = INTEGER: other(1)
Comment 2 RHEL Product and Program Management 2007-07-16 05:47:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 errata-xmlrpc 2007-11-15 11:00:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0738.html

Note You need to log in before you can comment on or make changes to this bug.